Page MenuHomePhabricator

Rename Alemannic Wikipedia from als.wikipedia to gsw.wikipedia
Open, Stalled, LowestPublic

Description

Author: Wiki.Melancholie

Description:
Since October 2005 there is a ISO 639-2 code for the alemannic
language (~"Swiss German"); [gsw]. See:
http://www.loc.gov/standards/iso639-2/codechanges.html

Thus, there could be changed [xml:lang="gem-alsatian"] to
[xml:lang="gsw"], and [lang="gem-alsatian"] to [lang="gsw"] in
the html line:
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="gem-
alsatian" lang="gem-alsatian" dir="ltr">

Best regards, Melancholie


Version: unspecified
Severity: minor
URL: http://als.wikipedia.org/

This task was also mentioning that other Alemannic projects should also be renamed, for example https://als.wiktionary.org to https://gsw.wiktionary.org, however and unfortunatelly, those wikis are nowadays deleted (see T169450), so this task would only focus on alswiki renaming.

"als" is also the standard code for "Tosk Albanian", a variant of standard Albanian ("sq"), not distinguished in Wikimedia wiki project names, but that may be distinguished in localisation data (e.g. on Wikidata, or on partner projects like OpenStreetMap, or other opensource applications for various platforms and open data projects). Using "als" instead of "gsw" blocks the specialisation of localized data for Albanian varieties, and breaks the standard BCP47 fallback resolution rules, in projects that would expect a normal fallback to standard Albanian, and certainly not to any varieties of German.

Details

Reference
bz4793

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:05 PM
bzimport set Reference to bz4793.
bzimport added a subscriber: Unknown Object (MLST).

Wiki.Melancholie wrote:

P.S.: Of course this should be done for Wiktionary,
Wikibooks and Wikiquote, too. So, every wiki with the
code [als].

Wiki.Melancholie wrote:

The code [gsw] will also be the future ISO 639-3 code,
by the way.

See:
http://www.ethnologue.com/show_language.asp?code=gsw

Done.

We should probably rename them also (providing redirects) though.

Wiki.Melancholie wrote:

Hmm, I think that "Alemannic" will probably get its language family code with [[ISO
639-5]]!
See http://www.ethnologue.com/show_family.asp?subid=92157 for the language family
tree. But [gsw] is the very most widespread alemannic "language" (actually
"Alemannic" is the language, and Schwyzerdütsch [gsw] is "just" a dialect of it,
but when they at SIL say so,...); this means, that we maybe should wait until [[ISO
639-5]] is out.

Gerard.meijssen wrote:

Hoi,
The ISO-639-5 codes are not what the language committee accepts. We work with what is available and gsw is infinitely more suitable then als.
Thanks,

GerardM

Wiki.Melancholie wrote:

The [[ISO 639-5]] is under publication, now! See http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=39536
Let's wait and see if there is a code that may fit better for the pluricentric/pluralistic Alemannic WP than "gsw" [gsw belongs to only *one* of the Alemannic variants]. If there is no better code available then, we still can move everything to gsw!

By the way: Nobody is requesting (nor will do, probably) *another* Wikipedia for Tosk Albanian at the moment, as there already is one (http://sq.wikipedia.org/ ;-) Standard Albanian is more or less the same as Tosk Albanian (respectively sq is based on als), see [[de:Toskisch]].

Wiki.Melancholie wrote:

May also block tracking bug 19986, per comment #3 and following ones.

Koavf added a subscriber: Koavf.Aug 25 2015, 6:31 AM
Krinkle renamed this task from Change xml:lang and lang from "gem-alsatian" to "gsw" for the Alemannic Wikipedia, etc. to Rename Alemannic projects from als to gsw (e.g. als.wikipedia.org => gsw.wikipedia.org).Aug 23 2017, 5:39 PM
Krinkle reopened this task as Open.
Krinkle removed a subscriber: wikibugs-l-list.
Verdy_p updated the task description. (Show Details)Aug 24 2017, 2:44 PM

Note that "als" also pollutes Wikidata and many other wikis or projects assuming conformance to BCP47.
Looking for localized names in Wikidata from these projects may return unexpected names translated in Alsatian/Allemanic (with possible fallbacks to German, i.e. "de") when they would expect Tosk Albanian (with most often a fallback to Standard Albanian "sq").
Talking only about the absence of need for Wikipedia to distinguish Albanian variants with distinct full wiki projects is reducing the problem that invalid codes incorrectly reassigned to completely unrelated languags in Wikimedia wikis, creates a pollution and bugs in many other third party projects, both open sourced or open data, or closed.

This can cause Wikidata not being reuseable as it should.

Polluted third party projects include at least TranslateWiki.net, OpenStreetMap, and many opensourced apps made for various desktop or mobile OS'es or platforms. And such bug reduce their capabilies to be translated in the languages they want, because some codes are blocked since years by the current incorrect reassignment by Wikimedia wikis (that they still want to link to as they do for almost all other languages).

Verdy_p updated the task description. (Show Details)Aug 24 2017, 2:55 PM
Verdy_p updated the task description. (Show Details)
Verdy_p updated the task description. (Show Details)Aug 24 2017, 3:15 PM
Verdy_p updated the task description. (Show Details)
Verdy_p raised the priority of this task from Low to Normal.Aug 24 2017, 3:26 PM
Verdy_p updated the task description. (Show Details)
Verdy_p updated the task description. (Show Details)

Note: "als" was historically used on Wikimedia wiki projects as an interwiki code and a subdomain name for the projects, coming from an informal abbreviation of Alsatian.

Nobody at that time thought it could be allocated to another unrelated (and much more commonly used!) language highly supported and promoted by a national standard and by regional community efforts to support their regional varieties and historic cultures.

However "als" is just one of the important varieties of Alemanic that "gsw" represents.

If you need specialized localizations of Alemanic for Alsatian, you can still use a conforming "gsw-FR" BCP47 code (because Alsatian is the only recognized variant used in France, and because there's still no specific ISO 639-3 code assigned for these Allemanic variants as "gsw" is still encoded as a single language but not as a "macrolanguage", and there's also no registered BCP47 variant codes for them in the normative IANA database for BCP47, so "gsw-als" would also NOT be conforming). We could also use private-use extension such as "gsw-x-alsatian", that will be recognized only internally in specific Wikimedia projects (like with "be-x-old", though it was deprecated in favor of "be-tarask" which is now registered in the IANA database) but not exposed in any other project outside Wikimedia public projects.

As well codes "gsw-DE" and "gsw-CH" would be conforming BCP 47 codes using country codes.

The difference between these regional extensions being useful mostly to implement different fallbacks for localized data used concurrently on the same site and distinguished only when needed. e.g. :

  • "gsw-FR" for specializations to Alsatian using fallback to generic "gsw", then to "fr" for standard French, then possibly to standard German "de", before default usually in English;
  • "gsw-DE" (German Alemanic) specialization using fallback to generic "gsw", then to standard German "de", then possibly Bavarian "bar", before default usually in English; and
  • "gsw-CH" for specializations to Schwizzerdutsch (Swiss Alemanic, not the same as Swiss German!) using fallback to generic "gsw", then to "de-CH" for German with the Swiss orthographic conventions (Schweizer Hoch Deutch), then to standard German "de", before default usually in English).

These codes with extensions are not needed for naming new Wikimedia wikis or enabling interwiki codes between them, so we do not request these additions. They will apply only to localized data and may be used on these wikis to select variants without duplicating the contents (as this was done for Chinese or Serbian), and could potentially be used in Wikidata for tagging translated labels, or to create customized interfaces for MediaWiki in its UI (selectable with the ULS or stored in user preferences)

@Verdy_p: You increased the priority of this task. As priority reflects reality and does not cause it, please elaborate why this task has become more urgent than other tasks. Please do not change priority if it does not confirm with Setting Task Priorities. Resources of teams are limited when it comes to working on requests. We want to be realistic about communicating what is being worked on, to maximize the impact of changes. Practically, this often unfortunately means assigning a lower priority to many tasks.
If the priority was increased because you plan to work on this task please claim the task by setting yourself as assignee. Thank you for your help!

If you do not plan to work on this task yourself but feel that this task is urgent but being ignored by those with the actual power to put the task on their agenda, please discuss with the responsible developers, product managers and budget holders. Further contact information can be found on the corresponding team wiki page. Thanks.

Liuxinyu970226 lowered the priority of this task from Normal to Lowest.EditedAug 24 2017, 11:08 PM

@Aklapper I lowered it. Non of those renaming requests are important and having developers for now.

Liuxinyu970226 changed the task status from Open to Stalled.Aug 24 2017, 11:08 PM

T169450 got resolved, which means that we probably only need to rename als.wikipedia to gsw.wikipedia.org, isn't right?

T169450 got resolved, which means that we probably only need to rename als.wikipedia to gsw.wikipedia.org, isn't right?

@Verdy_p ^^

Liuxinyu970226 renamed this task from Rename Alemannic projects from als to gsw (e.g. als.wikipedia.org => gsw.wikipedia.org) to Rename Alemannic Wikipedia from als.wikipedia to gsw.wikipedia.Jan 28 2018, 11:57 AM
Liuxinyu970226 updated the task description. (Show Details)
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJan 28 2018, 11:57 AM
Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:35 AM